メインコンテンツへスキップ

Xcode 10

コメント

10件のコメント

  • tanda

    今はもう使ってないですが、ついこの間まで(1月頃くらいまで?)はXcode10.1を問題なく使ってましたよ。アプリ本体が落ちるっていうのなら、何か別のところに原因があるような気がします。

    クリア再インストールはやってみましたか?

  • achiwa

    tandaさん こんにちは

    ありがとうございます。たしかにググってもそんな事例ないんですよね・・・
    ちょっと希望が見えてきました。

    クリア再インストールやってみます。

     

  • achiwa

    こんにちは

    いろいろやってみて落ちなくはなりました。

    ですが、Xcode10と今回試しに新たにインストールしたXcode11でも
    apple developer アカウントでログインできなくなりました。

    どうも2ファクタ認証のところ辺りでコケてそうです。

    単に Big Sur11.2.3の不具合ならいいのですが、
    4月1日からAppStoreへのリリースはXcode12でビルドした物でないと不可となったようで・・
    https://qiita.com/y-some/items/e3af33d973e23329c416


    もしもXcode10,11が実機ビルド打ち切りだと困りますね。
    xpa3.2以下のソースはXcode10でビルドしないと、いろいろ問題がありますので・・

  • achiwa

    追加情報です

    High Sierra (10.13.6)のPCで試したところ、Xcode10でログインできました。

    Bug Surが原因ですね。

     

  • tanda

    原因が分かってよかったですね。

    私はBigSurの導入はすこしためらっています。どのみち、Macを買い替えないとBigSurは動きそうにないので保留にしています。

    今4月ですから、6月までには買い替えたいと思っています。Magicのからみがありますので、Intel内蔵のほうですね。

  • achiwa

    tandaさん:こんにちは

     

    macOSをひとつ前のCatalinaにしたら、Xcode10でログイン&ビルドはできました。

    ですが、iOS14以降へはXcode12でないと実機ビルド(インストール)できなくなったようです。

    https://qiita.com/toto_kit/items/5a6ed7a5ee77bc68a74a

  • tanda

    achiwaさん、iOSのバージョンとXcodeのバージョンは同時進行で進化しますので、iOSのバージョンを上げたら、Xcodeのバージョンもそれに伴って上げる必要がありますね。バージョン番号の差は常に「2」です。

  • achiwa

    tandaさん、こんにちは

    そうですね。。。ついていくのが大変です。
    iOS最新14.5にすると、Xcodeのバージョンも12.5にしないと実機ビルドできなくなりました。

    Xcode12.5はBigSurにしないとアップデートできないようです。
    (Catalinaじゃダメと言われました)

    https://twitter.com/Microlink_corp/status/1388025731486081024

     

    最新のiOSで運用していく場合は、もうXcode10やXcode11は使用不可という結論ですね。


    現在はMagic3.3d PT1でXcode12.xで問題なく実機ビルドできて動くか確認中です
    (そんなわけで、現在、BigSurとXcode12.5にアップデート中です)

  • tanda

    achiwaさん、このiOSとXcodeのバージョンの並行移行は昔から同じみたいです。

    ただ、今回はBigSurとMac本体の関係で、BigSurがインストールできない古いタイプのMacが出ているという問題ですね。私のMacBookがそれに該当します。Macの買い替えが必要となるのですが、このコロナの影響で資金投入が難しいところです。

  • tanda

    AppleもGoogleもバージョンアップが頻繁ですのでね。ただ、Windowsのように強制的にアップグレードされないのが救いです。

サインインしてコメントを残してください。